import { Command } from '@oclif/command';
import { IOptionFlag } from '@oclif/command/lib/flags';
import { IBooleanFlag } from '@oclif/parser/lib/flags';
export default class Compose extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: IBooleanFlag<void>;
        password: IOptionFlag<string | undefined>;
        noPassword: IBooleanFlag<boolean>;
        upgrade: IBooleanFlag<boolean>;
        user: IOptionFlag<string>;
        target: IOptionFlag<string>;
    };
    run(): Promise<void>;
}
