import { Command, flags } from '@oclif/command';
export default class Pack extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        ready: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        password: flags.IOptionFlag<string | undefined>;
        noPassword: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        upgrade: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        user: flags.IOptionFlag<string>;
        preset: flags.IOptionFlag<string | undefined>;
        assembly: flags.IOptionFlag<string | undefined>;
        customPreset: flags.IOptionFlag<string | undefined>;
        reset: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        report: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        target: flags.IOptionFlag<string>;
    };
    run(): Promise<void>;
}
